Skip to content

The organization this key belongs to

GET
/organization
curl --request GET \
--url https://api.usepayloom.com/api/v1/organization \
--header 'Authorization: Bearer <token>'

OK

Media typeapplication/json
object
id
string format: uuid
object
string
Allowed value: organization
name
string
country_code
string
nullable
default_currency
string
status
string
Allowed values: active suspended deactivated
kyc_status

Payroll cannot be calculated until this is verified.

string
created_at
string format: date-time
Example
{
"object": "organization",
"status": "active"
}

Missing, invalid, revoked or expired key.

Media typeapplication/json
object
error
object
code
required
string
Allowed values: missing_token invalid_token revoked expired insufficient_scope organization_not_operable not_found invalid_request validation_failed rate_limited
message
required
string
details
object
key
additional properties
any
Example
{
"error": {
"code": "missing_token"
}
}

Too many requests. Honour Retry-After.

Media typeapplication/json
object
error
object
code
required
string
Allowed values: missing_token invalid_token revoked expired insufficient_scope organization_not_operable not_found invalid_request validation_failed rate_limited
message
required
string
details
object
key
additional properties
any
Example
{
"error": {
"code": "missing_token"
}
}
Retry-After
integer

Seconds to wait.